Autor Tópico: warsaw bb no 18.04  (Lida 19699 vezes)

Offline Ribeirão

  • Usuário Ubuntu
  • *
  • Mensagens: 183
    • Ver perfil
Re:warsaw bb no 18.04
« Resposta #15 Online: 03 de Maio de 2018, 19:09 »
Olá a todos,

Bom, só tive tempo de fazer o procedimento agora e, infelizmente,  no meu caso, não resolveu.
O problema persiste.

Fiz todo o procedimento detalhadamente, mas não resolveu.

Offline Marcopolo

  • Usuário Ubuntu
  • *
  • Mensagens: 683
  • Ubuntu forever, ever!!
    • Ver perfil
Re:warsaw bb no 18.04
« Resposta #16 Online: 03 de Maio de 2018, 22:32 »
Olá a todos,

Bom, só tive tempo de fazer o procedimento agora e, infelizmente,  no meu caso, não resolveu.
O problema persiste.

Fiz todo o procedimento detalhadamente, mas não resolveu.
Ribeirão, no meu caso, eu só resolvi com uma reinstalação do sistema sem perder nenhum dado, ou seja, somente a Raíz (/), mantendo a Home! Com uma instalação limpa o "Módulo" entrou como uma luva e, tudo isso pelo Navegador Firefox, que é o que mais uso! Espero que você consiga! Um abraço.
Marcopolo.
"Quanto mais aumenta nosso conhecimento, mais evidente fica nossa ignorância" (JFK).http://ubuntuforum-br.org

Desktop, Intel Core i7, Win 7 64 bits, Windows10 e Ubuntu16.04.3 LTS, HD 500 GB, 4 GB. Dell14",  Core i3, HD 500 GB, 4 GB, Win10- 64 bits-Ununtu16.04. Vaio 15S 8GB -HD 1Tera-Ubuntu 18.04.

Offline DidBrother

  • Usuário Ubuntu
  • *
  • Mensagens: 52
  • Avante. sempre em frente
    • Ver perfil
Re:warsaw bb no 18.04
« Resposta #17 Online: 03 de Maio de 2018, 22:55 »
Olá a todos,

Bom, só tive tempo de fazer o procedimento agora e, infelizmente,  no meu caso, não resolveu.
O problema persiste.

Fiz todo o procedimento detalhadamente, mas não resolveu.

PS em 30/05/2018. Considerando que a Caixa Econômica Federal disponibilizou uma nova versão do arquivo GBPCEFwr64.deb  no mesmo  link citado abaixo,  a qual apresenta  compatibilidade com ubuntu 18.04 e  com  o firefox das versões 58 em diante, simplificando o processo de instalação, tornando desnecessários os  passos  6, 7 e 11 sugerimos não  usar o presente tutorial, .  O texto abaixo fica mantido apenas para registro histórico.

Vamos lá, mais uma tentativa,  siga o passo a passo:  (procure copiar os  comandos)


1. Baixar e instalar o navegador Chrome  caso não tenha. O instalador Warsaw não implementa o certificado "Warsaw Personal CA" na versão 58 ou superior do Firefox.

2. Baixar o Warsaw fornecido pela CEF, no endereço -  https://cloud.gastecnologia.com.br/cef/warsaw/install/GBPCEFwr64.deb  - versão 1.12.5.1 -compatível com CEF, BB e Itaú, com os navegadores Chromium, Chrome, Firefox e Opera.

3. Abrir o terminal e remover qualquer versão anteriormente instalada com o comando.
Código: [Selecionar]
sudo apt-get purge warsaw
4. instalar a dependência.
Código: [Selecionar]
sudo apt-get install libnss3-tools
5. Ainda no terminal acessar a pasta onde foi baixada o arquivo do warsaw. Pressupondo que foi na pasta Downloads
Código: [Selecionar]
cd Downloads e logo após 
Código: [Selecionar]
sudo dpkg -i GBPCEFwr64.deb   e aguardar o termino da instalação. (durante este passo é fundamental que o navegador Chrome esteja fechado. Se precisa verificar este tutorial, ou copiar os comandos, usar o firefox)

6. verificações:
A)  a instalação do warsaw  com o comando;
Código: [Selecionar]
ps -ef |grep -v grep |grep -i warsaw a saída  vai indicar  um  warsaw/core rodando  como usuário do computador tipo:
usuario   1516     1  0 10:17 ?        00:00:16 /usr/local/bin/warsaw/core
B) abrir o navegador chrome e no endereço:  chrome://settings/certificates  acessar a aba autoridades e procurar por Warsaw Personal CA.  se o certificado não estiver presente, repita os passos  3, 5 e 6.

7 - Abrir o terminal e rodar os comandos:
A - Acessando a pasta
Código: [Selecionar]
cd /usr/local/lib/warsaw
B. Substituindo os arquivos por links para os arquivos do sistema
Código: [Selecionar]
sudo ln -sf /lib/x86_64-linux-gnu/ld-linux-x86-64.so.2 ; sudo ln -sf /lib/x86_64-linux-gnu/libc.so.6 ; sudo ln -sf /lib/x86_64-linux-gnu/libpthread.so.0 ; sudo ln -sf /lib/x86_64-linux-gnu/libdl.so.2
C: Ative e inicie o serviço do warsaw :
 
Código: [Selecionar]
sudo systemctl enable warsaw
Código: [Selecionar]
sudo systemctl start warsaw
Código: [Selecionar]
sudo /usr/local/bin/warsaw/core
8: Verifique que os processos relacionados ao warsaw estão rodando corretamente:

Código: [Selecionar]
ps -ef |grep -v grep |grep -i warsawVocê deve observar no mínimo 1 [...]/warsaw/core rodando como root e pelo menos um [...]/warsaw/core rodando como usuário. tipo:
root      1103     1  0 13:33 ?        00:00:01 /usr/local/bin/warsaw/core
usuario   2165     1  0 13:33 ?        00:00:01 /usr/local/bin/warsaw/core


9 - Reiniciar o computador.

10) para acesso aos bancos:
A) CEF =. Abrir o navegador chrome e acessar a página -     https://internetbanking.caixa.gov.br/sinbc/nb/login/redirecionaDispSeguranca - vai aparecer a mensagem: adicional de segurança instalado incorretamente. Aguarde enquanto configuramos seu computador. encerrado aparece a mensagem: Adicional de Segurança CAIXA instalado. Acesse a sua conta.
B) ITAU = pelo chrome  acesse a página do Itau,  insira o numero de agencia e conta - vai aparecer o nome do correntista e na parte inferior a msg guardiao itau instalado. Está configurado o acesso para o banco itau
C) BB =  Pelo Chrome  acesse a pagina  https://www2.bancobrasil.com.br/aapf/login.jsp e espere configurar o acesso. Quando estiver disponível os campos: agencia, conta e senha Está configurado o acesso para o banco do brasil

11. Para configurar o acesso pelo firefox. (versão 58 em diante o certificado não é injetado automaticamente pelo Warsaw.)
A)  abrir o navegador chrome e no endereço:  chrome://settings/certificates  acessar a aba autoridades e procurar por Warsaw Personal CA. Escolha exportar e salve o certificado na pasta de sua preferência.
B) abra o navegador firefox e vá ao endereço:  about:preferences#privacy   opção ver certificados, escolha importar e aponte para o certificado  anteriormente exportado. Marque os campos para confiar.


tutorial baseado no archlinux com as  modificações sugeridas pelo Sampayu.

DidBrother
« Última modificação: 30 de Maio de 2018, 16:33 por DidBrother »

Offline Ribeirão

  • Usuário Ubuntu
  • *
  • Mensagens: 183
    • Ver perfil
Re:warsaw bb no 18.04
« Resposta #18 Online: 04 de Maio de 2018, 00:06 »
Consegui fazer funcionar, porém, só depois que instalei a biblioteca libcurl3.
Só a libnss3-tools não foi suficiente e lendo informações do próprio site da caixa, percebi que eles mandam instalar a tal libcurl3.
Foi só instalar e deu tudo certo.
Finalmente....

Muito obrigado pela ajuda de todos os amigos aqui do forum.

Caso alguém esteja passando pelo mesmo perrengue, esse é um caminho que deu certo comigo.

Um abraço a todos.

Offline Sampayu

  • Usuário Ubuntu
  • *
  • Mensagens: 423
  • "Não é possível semear de mãos fechadas"
    • Ver perfil
    • YouTube
Re:warsaw bb no 18.04
« Resposta #19 Online: 04 de Maio de 2018, 02:48 »
Consegui fazer funcionar, porém, só depois que instalei a biblioteca libcurl3.
Só a libnss3-tools não foi suficiente e lendo informações do próprio site da caixa, percebi que eles mandam instalar a tal libcurl3.
Foi só instalar e deu tudo certo.
Finalmente....

Muito obrigado pela ajuda de todos os amigos aqui do forum.

Caso alguém esteja passando pelo mesmo perrengue, esse é um caminho que deu certo comigo.

Um abraço a todos.

Esse problema ocorreu porque embora o pacote GBPCEFwr64.deb disponível em https://cloud.gastecnologia.com.br/cef/warsaw/install/GBPCEFwr64.deb necessite que a biblioteca libcurl3 seja instalada (ela é uma dependência do pacote GBPCEFwr64.deb), o arquivo control desse pacote DEB está com a linha assim:

Código: [Selecionar]
Pre-Depends: openssl, libnss3-tools
...embora a linha devesse estar assim:

Código: [Selecionar]
Pre-Depends: openssl, libnss3-tools, libcurl3
Se a linha estivesse como deveria estar, ao se utilizar o GDEBI para instalar o pacote GBPCEFwr64.deb as dependências seriam todas satisfeitas, ou seja: os pacotes openssl, libnss3-tools e libcurl3 seriam instalados, e daí o problema que ocorreu não teria ocorrido.

Esse é um dos muitos problemas do Warsaw: a maneira meio "desleixada" com que os pacotes são construídos. O resultado é "dor de cabeça" para o usuário.

Há como consertar o pacote DEB. Os passos são estes (mas não estou encorajando ninguém a fazer isso, porque é mais prático simplesmente instalar o pacote libcurl3):
1. Baixe o pacote GBPCEFwr64.deb e salve-o dentro de /tmp.
2. Acesse o terminal do shell Linux e execute o comando fakeroot para criar uma falsa conexão shell como root.
3. Execute o comando cd /tmp para acessar a pasta dentro da qual você salvou o pacote GBPCEFwr64.deb.
4. Execute o comando mkdir corrigido para criar uma subpasta corrigido em /tmp (o resultado será /tmp/corrigido/).
5. Execute o comando dpkg-deb -R GBPCEFwr64.deb corrigido para a estrutura do pacote GBPCEFwr64.deb ser extraída para dentro da pasta corrigido. Como você estará no modo fakeroot, as permissões das pastas e dos arquivos que pertencem ao pacote DEB não serão afetadas pela extração (elas seriam afetadas caso você não usasse fakeroot).
6. Use um editor de textos simples (como o nano, dentro do shell, ou o gedit, na interface gráfica) para editar o arquivo /tmp/corrigido/DEBIAN/control (o arquivo control que estará dentro da pasta corrigido). Dentro desse arquivo control, a linha Pre-Depends: openssl, libnss3-tools deverá ser substituída pela linha Pre-Depends: openssl, libnss3-tools, libcurl3 (ou seja: ao final da linha você deverá adicionar uma vírgula, um espaço e então digitar libcurl3). Depois disso, basta salvar e sair do editor de textos.
7. Agora que o arquivo control do pacote DEB está corrigido, execute o comando dpkg-deb -b corrigido GBPCEFwr64-corrigido.deb para criar o pacote corrigido.
8. Use o comando exit ou a combinação de teclas Ctrl D para sair do modo fakeroot.
9. Execute o comando sudo gdebi -n /tmp/GBPCEFwr64-corrigido.deb para instalar o pacote GBPCEFwr64-corrigido.deb (o pacote DEB cujo arquivo control você corrigiu). ;)

Como escrevi ali em cima, essa sequência de etapas é longa e um pouco demorada, sendo portanto mais prático simplesmente instalar a biblioteca libcurl3 com o comando sudo apt-get install libcurl3 -y. Eu publiquei esse passo-a-passo para se corrigir um pacote DEB apenas para fins didáticos e talvez suprir a curiosidade de quem tiver interesse no assunto.
« Última modificação: 04 de Maio de 2018, 20:33 por Sampayu »
Yuri Sucupira ("Sampayu")

Offline bergpb

  • Usuário Ubuntu
  • *
  • Mensagens: 2
    • Ver perfil
Re:warsaw bb no 18.04
« Resposta #20 Online: 04 de Maio de 2018, 14:29 »
Olá a todos,
Eu tentei todas as opções na internet que achei: as aqui, as do blog do edvaldo, os comentários que tinham lá, os superscritps aqui.
Não consegui. Estou com o 18.04, Chrome 66 e firefox 59, o banco é BB.
Não consigo. Sempre que tento instalar, em todas as vezes, dava erro
- no-fork,
- npidfile,
- system-activation,
- syslog-only,
- "couldo not parser server address type ..."
- "failed to commit changes to dconf".

Se alguém tiver conseguido de outra forma, e puder contribuir, agradeço.
Abcs

Offline DidBrother

  • Usuário Ubuntu
  • *
  • Mensagens: 52
  • Avante. sempre em frente
    • Ver perfil
Re:warsaw bb no 18.04
« Resposta #21 Online: 04 de Maio de 2018, 17:58 »
Olá a todos,
Eu tentei todas as opções na internet que achei: as aqui, as do blog do edvaldo, os comentários que tinham lá, os superscritps aqui.
Não consegui. Estou com o 18.04, Chrome 66 e firefox 59, o banco é BB.
Não consigo. Sempre que tento instalar, em todas as vezes, dava erro
- no-fork,
- npidfile,
- system-activation,
- syslog-only,
- "couldo not parser server address type ..."
- "failed to commit changes to dconf".

Se alguém tiver conseguido de outra forma, e puder contribuir, agradeço.
Abcs

Caro bergpb,

Siga o passo a passo da resposta 17.  Aqui funcionou com 100% , com as versões GNOME,  MATE,  KUBUNTU,

O usuário Ribeirão relatou que foi preciso instalar a  libercurl3  para obter sucesso na instalação.  Aqui nas diversas instalações que fiz, não foi preciso. Mas cada caso é  um caso.

DidBrother

Offline bergpb

  • Usuário Ubuntu
  • *
  • Mensagens: 2
    • Ver perfil
Re:warsaw bb no 18.04
« Resposta #22 Online: 07 de Maio de 2018, 15:36 »
Caro DidBrother
Deu certo. Obg

Offline joucoski

  • Usuário Ubuntu
  • *
  • Mensagens: 2
    • Ver perfil
Re:warsaw bb no 18.04
« Resposta #23 Online: 08 de Maio de 2018, 11:54 »
Bom dia. Estou tentando desinstalar o warsaw e já tentei usando sudo su o comando:
Código: [Selecionar]
$ chattr -a /usr/local/lib/warsawmas não deu certo. Quando faço:
Código: [Selecionar]
$ sudo dpkg -i warsawdá a mensagem:
Código: [Selecionar]
dpkg: erro: não pode aceder ao arquivo 'warsaw': Arquivo ou diretório inexistenteMas quando vou instalar um outro software, por exemplo:
Código: [Selecionar]
$sudo apt install r-base
Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
E: O pacote warsaw precisa ser reinstalado, mas não foi possível encontrar um arquivo para o mesmo.

Por favor gostaria da ajuda urgente! Obrigado.

Offline joucoski

  • Usuário Ubuntu
  • *
  • Mensagens: 2
    • Ver perfil
Re:warsaw bb no 18.04
« Resposta #24 Online: 08 de Maio de 2018, 12:09 »
Bom dia. Estou tentando desinstalar o warsaw e já tentei usando sudo su o comando:
Código: [Selecionar]
$ chattr -a /usr/local/lib/warsawmas não deu certo. Quando faço:
Código: [Selecionar]
$ sudo dpkg -i warsawdá a mensagem:
Código: [Selecionar]
dpkg: erro: não pode aceder ao arquivo 'warsaw': Arquivo ou diretório inexistenteMas quando vou instalar um outro software, por exemplo:
Código: [Selecionar]
$sudo apt install r-base
Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
E: O pacote warsaw precisa ser reinstalado, mas não foi possível encontrar um arquivo para o mesmo.

Por favor gostaria da ajuda urgente! Obrigado.

Acho que consegui através do comando:
Código: [Selecionar]
$ sudo dpkg --remove --force-remove-reinstreq warsawpois consegui instalar meus pacotes com o comando:
Código: [Selecionar]
$sudo apt install r-basePeguei a dica em "How to remove package in bad state, software center freezes, no synaptic" https://askubuntu.com/questions/122699/how-to-remove-package-in-bad-state-software-center-freezes-no-synaptic

Offline DidBrother

  • Usuário Ubuntu
  • *
  • Mensagens: 52
  • Avante. sempre em frente
    • Ver perfil
Re:warsaw bb no 18.04
« Resposta #25 Online: 08 de Maio de 2018, 20:15 »
Caros amigos,

Simplificando  ou melhor complicando  a "coisa", digo  warsaw ( leia a resposta 56)

Está disponível no site da Diebold a versão 1.12.8-7 que apresenta  a vantagem de inserir  o certificado no firefox independentemente da versão e  não  é preciso substituir bibliotecas por links no  ubuntu 18.04.  Nem tudo beira a perfeição.  Entre a lista de dependências está a biblioteca    "python-gpgme" que não está disponível  nos repositórios  oficiais do ubuntu 18.04, embora esteja nos repositórios  das versões 16.04 e 17.10.   O warsaw acima apresentou compatibilidade com o BB,  CEF,  e para o Itaú após reiniciar o computador.  Deixo abaixo o passo  que utilizei na maquina de teste com 18.04.



1. Baixar o Warsaw fornecido pela Diebold, no endereço - https://cloud.gastecnologia.com.br/gas/diagnostico/warsaw-setup-ubuntu_64.deb  - versão 1.12.8-7 -compatível com CEF, BB e Itaú, com os navegadores Chrome, Firefox.

2. Baixar a biblioteca  python-gpgme  no endereço https://www.ubuntuupdates.org/package/core/artful/main/base/python-gpgme

3. Abrir o terminal e remover qualquer versão anteriormente instalada com o comando.
Código: [Selecionar]
sudo apt-get purge warsaw
4. instalar as dependências.

Código: [Selecionar]
sudo apt install libnss3-tools && sudo apt install python-openssl && sudo apt install libcurl3 && sudo apt install zenity
5. Ainda no terminal acessar a pasta onde foi baixada o arquivo  do warsaw e a bibiloteca python-gpgme. Pressupondo que foi na pasta Downloads

Código: [Selecionar]
cd Downloads e logo após
Código: [Selecionar]
sudo dpkg -i python-gpgme_0.3-1.2build2_amd64.deb em seguida manter os navegadores fechados e
Código: [Selecionar]
sudo dpkg -i warsaw-setup-ubuntu_64.deb   e aguardar o termino da instalação.

6 - Reiniciar o computador

7. Verificações:
A)  a instalação do warsaw  com o comando;
Código: [Selecionar]
ps -ef |grep -v grep |grep -i warsawVocê deve observar no mínimo 1 [...]/warsaw/core rodando como root e pelo menos um [...]/warsaw/core rodando como usuário. tipo:
root      1103     1  0 13:33 ?        00:00:01 /usr/local/bin/warsaw/core
usuario   2165     1  0 13:33 ?        00:00:01 /usr/local/bin/warsaw/core

B - A presença do certificado " Warsaw Personal CA"  nos navegadores. Firefox  em -   about:preferences#privacy   opção ver certificados ; no  Chrome em - chrome://settings/certificates  acessar a aba autoridades.    Se o certificado não estiver presente,  remova e reinstale o warsaw.

8) para acesso aos bancos:
A) CEF =. Abrir o navegador e acessar a página -     https://internetbanking.caixa.gov.br/sinbc/nb/login/redirecionaDispSeguranca - vai aparecer a mensagem: adicional de segurança instalado incorretamente. Aguarde enquanto configuramos seu computador. encerrado aparece a mensagem: Adicional de Segurança CAIXA instalado. Acesse a sua conta.
B) ITAU = acesse a página do Itau,  insira o numero de agencia e conta - vai aparecer o nome do correntista e na parte inferior a msg guardiao itau instalado. Está configurado o acesso para o banco itau (aqui só funcionou após reiniciar o computador)
C) BB =  acesse a pagina  https://www2.bancobrasil.com.br/aapf/login.jsp e espere configurar o acesso. Quando estiver disponível os campos: agencia, conta e senha Está configurado o acesso para o banco do brasil

DidBrother
« Última modificação: 29 de Maio de 2018, 19:53 por DidBrother »

Offline jrkamil

  • Usuário Ubuntu
  • *
  • Mensagens: 420
  • Cabo Frio - RJ - Brasil
    • Ver perfil
Re:warsaw bb no 18.04
« Resposta #26 Online: 09 de Maio de 2018, 14:56 »
aparentemente o warsaw está instalado e rodando, porém o site do bb continua dizendo que não.
o que pode ser ? certificado ? como instalá-lo ?     ubuntu 18.04 e firefox 59

https://imgur.com/v7wdGPe
ECS A890GXM-A , Athlon II X3 440, 8 Gb DDR3, nvidia GF 8400GS,  ubuntu  18.04  gnome, ssd 120G, hd 500 g

Offline DidBrother

  • Usuário Ubuntu
  • *
  • Mensagens: 52
  • Avante. sempre em frente
    • Ver perfil
Re: warsaw BB no 18.04
« Resposta #27 Online: 09 de Maio de 2018, 16:42 »
aparentemente o warsaw está instalado e rodando, porém o site do bb continua dizendo que não.
o que pode ser ? certificado ? como instalá-lo ?     ubuntu 18.04 e firefox 59

https://imgur.com/v7wdGPe

Caro jrkamil,

Baixou o warsaw de qual endereço?

Qual dos métodos o sr. utilizou para instalar o warsaw. O da resposta 3,  17 ou  25?   

O da resposta 17  utiliza uma versão do warsaw que não insere o certificado "Warsaw Personal CA",  nas versões 58 ou 59 do firefox.  Conforme descrito naquela resposta usa-se o chrome para receber o certificado e depois transferi-lo para o firefox. O mesmo vale para as versões do warsaw disponibilizadas pelos bancos. 

Primeiro abra o firefox  e   vá ao endereço: -      about:preferences#privacy    -  opção ver certificados, e veja a presença do certificado.  Caso esteja presente, pode ser o que o senhor tenha baixado  por exemplo o warsaw do banco do brasil, o qual necessita de plugin flash para funcionar.

Se o certificado não estiver presente temos as seguintes opções:
1- instalar o certificado manualmente conforme descrito  pelo Sampayu aqui no forum ubuntu https://ubuntuforum-br.org/index.php?topic=121558.206 , resposta 206.
2- utilizar o método da resposta 17, lembrando que o Chrome é essencialmente essencial.
3- se não quiser instalar o Chrome, utilizar o método da resposta 25.

DidBrother

P.S - caso tenha utilizado o método da resposta 3 e usado o comando:   # chattr +a /usr/local/lib/warsaw  faz se necessário, antes de remover o warsaw,   retornar o parametro original da pasta com o comando:  # chattr -a /usr/local/lib/warsaw
« Última modificação: 09 de Maio de 2018, 18:46 por DidBrother »

Offline Marcopolo

  • Usuário Ubuntu
  • *
  • Mensagens: 683
  • Ubuntu forever, ever!!
    • Ver perfil
Re: warsaw BB no 18.04
« Resposta #28 Online: 10 de Maio de 2018, 16:42 »
aparentemente o warsaw está instalado e rodando, porém o site do bb continua dizendo que não.
o que pode ser ? certificado ? como instalá-lo ?     ubuntu 18.04 e firefox 59

https://imgur.com/v7wdGPe

Caro jrkamil,

Baixou o warsaw de qual endereço?

Qual dos métodos o sr. utilizou para instalar o warsaw. O da resposta 3,  17 ou  25?   

O da resposta 17  utiliza uma versão do warsaw que não insere o certificado "Warsaw Personal CA",  nas versões 58 ou 59 do firefox.  Conforme descrito naquela resposta usa-se o chrome para receber o certificado e depois transferi-lo para o firefox. O mesmo vale para as versões do warsaw disponibilizadas pelos bancos. 

Primeiro abra o firefox  e   vá ao endereço: -      about:preferences#privacy    -  opção ver certificados, e veja a presença do certificado.  Caso esteja presente, pode ser o que o senhor tenha baixado  por exemplo o warsaw do banco do brasil, o qual necessita de plugin flash para funcionar.

Se o certificado não estiver presente temos as seguintes opções:
1- instalar o certificado manualmente conforme descrito  pelo Sampayu aqui no forum ubuntu https://ubuntuforum-br.org/index.php?topic=121558.206 , resposta 206.
2- utilizar o método da resposta 17, lembrando que o Chrome é essencialmente essencial.
3- se não quiser instalar o Chrome, utilizar o método da resposta 25.

DidBrother

P.S - caso tenha utilizado o método da resposta 3 e usado o comando:   # chattr +a /usr/local/lib/warsaw  faz se necessário, antes de remover o warsaw,   retornar o parametro original da pasta com o comando:  # chattr -a /usr/local/lib/warsaw
Boa tarde!
Ontem, eu fiz de tudo, seguindo piamente todas as dicas aqui do fórum e não consegui acessar minha conta corrente pelo Banco do Brasil, no novo Note Vaio! Como tenho outro note e um desktop acessando normalmente, vou radicalizar e optando por três soluçoes! 1- Acessar minha conta somente nas outra máquinas! 2- Desinstalar o 18.04 do novo note e reinstalar o 16.04 LTS, com atualização ainda até 2021! 3- Deixar de usar o Ubuntu depois de onze anos e cair nas mãos dos Rackers pelo Windows! No Vaio, instalei o Chromium e mesmo assim não deu bingo! Uso mais o Firefox, que também não aceita pelo fato da versão atual  59.0.2! Deixei para baixar a iso e instalar, muito depois do lançamento(26/04/18), mesmo assim é uma dor de cabeça o uso desses penduricalhos necessários ao uso do Ubuntu! Um abraço!
Marcopolo
« Última modificação: 10 de Maio de 2018, 16:43 por Marcopolo »
"Quanto mais aumenta nosso conhecimento, mais evidente fica nossa ignorância" (JFK).http://ubuntuforum-br.org

Desktop, Intel Core i7, Win 7 64 bits, Windows10 e Ubuntu16.04.3 LTS, HD 500 GB, 4 GB. Dell14",  Core i3, HD 500 GB, 4 GB, Win10- 64 bits-Ununtu16.04. Vaio 15S 8GB -HD 1Tera-Ubuntu 18.04.

Offline flavioml

  • Usuário Ubuntu
  • *
  • Mensagens: 94
    • Ver perfil
Re:warsaw bb no 18.04
« Resposta #29 Online: 10 de Maio de 2018, 21:17 »
Pessoall,

Sou usuário do Kubuntu e sempre, de um jeito ou de outro, consegui  acesso aos meus bancos CEF e Itau. Como tenho o hábito de atualizar para as versões mais novas, mesmo não LTS, eventualmente penei um pouco para manter tudo funcionando.
A partir da versão 17.04 perdi o acesso via Firefox mas como no chrome continuava funcionando, não esquentei e nem tentei resolver.
Tenho um desktop e um note já pedindo aposentadoria e como neste último o 17.10 estava rodando com alguns bugs, decidi fazer para o mesmo uma instalação limpa do 18.04. Mas o warsaw não rodou legal nem à tapa.
Estudei diversos tópicos aqui no fórum e não consegui resolver. Acabei por desistir e como tinha uma vm com o MInt 18.2, resolvi tentar na mesma e funfou.
Assim, vinha acessando as minhas contas pela vm mas ao fazer uma atualização do sistema, que tinha o virtualbox instalado por padrão, o mesmo desinstalou os adicionais de guest. Ao reinstalar no host kubuntu aqueles adicionais e após reinstalar o arquivo iso no guest a vm deu pau e não entra mais.
Aí, dei de cara com este tópico e reinstalei o warsaw, seguindo o tutorial da resposta dada pelo DidBrother ao Ribeirão.
Beleza setá rodando tanto no chrome quanto no firefox.
Obrigadão amigos.
Flavio ML